Threaded::isTerminated
Threaded::lock
Threaded
PHP Manual

# Threaded::isWaiting

(PECL pthreads >= 2.0.0)

Threaded::isWaiting — State Detection

### Description

public boolean Threaded::isWaiting ( void )

Tell if the referenced object is waiting for notification

### Parameters

This function has no parameters.

### Return Values

A boolean indication of state

### Examples

Example #1 Detect the state of the referenced object

`<?php
class My extends Thread {
public function run() {
$this->synchronized(function($thread){
if (!$this->done)
$thread->wait();
}, $this);
}
protected $done;
}
$my = new My();
$my->start();
$my->synchronized(function($thread){
var_dump(
$thread->isWaiting());
$thread->done = true;
$thread->notify();
}, $my);
?>`

The above example will output:

    bool(true)

Threaded::isTerminated
Threaded::lock
Threaded
PHP Manual